## 绘画参数
中文将会翻译成英文, 所以请尽量使用英文进行绘图, 多个关键词尽量用逗号分开
## 设置分辨率/画幅 
```text
随机画幅比例
插件内置了几种画幅使用 -r 来指定或者推荐使用--ar 1：3来指定画幅比例
----
s 640x640 1:1方构图
p 512x768 竖构图
l 768x512 横构图
uwp 450x900 1:2竖构图
uw 900x450 2:1横构图
----
绘画 萝莉 -r l # 画一幅分辨率为768x512 横构图
手动指定分辨率也是可以的, 例如
绘画 超级可爱的萝莉 -r 640x960 # 画一幅分辨率为640x960的图
绘画 miku --ar 21:9 # 画幅比例为21:9
```
请注意, 如果开启了高清修复, 分辨率会再乘以高清修复的倍率, 所以不要太贪心,设置太高的分辨率!!!服务器可能会爆显存,导致生成失败, 建议使用默认预设即可
## 其它参数
```text
种子
-s
# 绘画 miku -s 114514
```
```text
迭代步数
-t
# 绘画 miku -t 20
```
```text
对输入的服从度, 当前默认值:{config.novelai_scale}
-c
# 绘画 miku -c 11
服从度较低时cd AI 有较大的自由发挥空间，服从度较高时 AI 则更倾向于遵守你的输入。但如果太高的话可能会产生反效果 (比如让画面变得难看)。更高的值也需要更多计算。
有时，越低的 scale 会让画面有更柔和，更有笔触感，反之会越高则会增加画面的细节和锐度
强度, 仅在以图生图和高清修复生效取值范围0-1,即重绘幅度
-e
# 绘画 miku [图片] -e 0.7
```
```text
噪声, 仅在以图生图生效取值范围0-1
-n
# 绘画 miku [图片] -n 0.7
```
```text
去除默认预设
-o
# 绘画 miku -o 
清除掉主人提前设置好的tags和ntags
```
```text
使用选择的采样器进行绘图
-sp
# 绘画 miku -sp DDIM 
使用DDIM采样器进行绘图, 可以提前通过 采样器 指令来获取支持的采样器 有空格的采样器记得使用 ""括起来,例如 "Euler a"
```
```text
使用选择的后端进行绘图
-sd
# 绘画 miku -sd 0 
使用1号后端进行绘图工作(索引从0开始), 可以提前通过 后端 指令来获取后端工作状态
```
```text
不希望翻译的字符
-nt
# 绘画 -nt 芝士雪豹
"芝士雪豹"将不会被翻译
```
```text
绘图并且更换模型
-m 4
# 绘画 miku -m 4 -sd 1
绘图并且为2号后端更换4号模型(暂时替换)
```
```text
关闭自动匹配
-match_off
# 绘画胡桃 -match_off
本插件默认打开模糊匹配功能, 例如  
绘画 胡桃 , 会自动找到名为胡桃的模型  
如果不需要自动匹配的话加上本参数就可以关掉
```
```text
高清修复倍率
-hr 1.5
# 绘画 -hr 1.5
设置高清修复倍率为1.5
```
```text
本张图片绘图完成后进行再次超分,支持slow和fast， slow需要ultimate-upscale-for-automatic1111
-sr slow -sr fast
使用 Tiled Diffusion 进行绘图, 降低显存使用, 可用于低分辨率出大图
-td
```
```
绘制xyz表格
-xyz 请严格按照以下格式
绘画reimu -xyz '9, "", ("DDIM", "Euler a", "Euler"), 4, "8, 12, 20", "", 0, "", ""' -sd 1 
分为三段, 分别为xyz轴, 每条轴3个参数
第一位为数字, 为脚本索引(请去webui看, 或者使用获取脚本命令来查看)0为不使用本条轴
第二位为字符串, 具体如何使用请查看webui, 例如步数, prompt等是手动填写参数, 故填写第二个参数, 例如步数
第三位为元组, 当此项参数为可以由webui自动填写的时候填写, 例如采样器
以上命令解释为
绘画 x轴为采样器(第一位为9)轴, y轴为步数(第一位为4)轴的xyz图标, 不使用z轴(第一位为0)
```
```
-ef
使用adetailer进行修复,默认修复眼睛
-op
使用openpose的DWpose生图，能一定程度上降低手部和肢体崩坏
-sag
使用Self Attention Guidance生图,能一定程度上提高生图质量
```
```
-otp
使用controlnet inpaint进行扩图，图生图生效，推荐使用
绘画[图片] -otp --ar 21:9 -hr 1.2
扩图至21:9并且放大1.2倍
-co
cutoff插件减少关键词颜色污染
绘画white hair,blue eye,red dress -co white,blue,red
把出现在prompt中的颜色填到参数中即可
```
```
-bs 本张图片使用指定的后端地址生图，例如：
绘画reimu -bs api.diaodiao.online:7860
-ai 使用chatgpt辅助生成tags
绘画海边的少女 -ai
```
```
-xl XL生图模式
```
```
-dtg 使用语言模型补全tag
-b 一次生成几张图
-bc 生成几次图片
```
```
-style 使用指定的prompt style生图
```
### 最后, 送你一个示例
```text
绘画 plaid_skirt,looking back ，bare shoulders -t 20 -sd 0 -sp "UniPC" -c 8 -bc 3 -u nsfw
```
画3张使用UniPC采样器, 步数20步, 服从度7, 不希望出现nsfw(不适宜内容)的图, 使用1号后端进行工作